<?php
/**
 * Weather
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package JEG_WEATHER
 */

namespace JEG_WEATHER;

use Jeg\Customizer\Customizer;

/** Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Options
 * @package JEG_WEATHER
 */
class Options {

	/**
	 * Options constructor.
	 */
	public function __construct() {
		add_action( 'jeg_register_customizer_option', [ $this, 'register_lazy_section' ], 91 );
		add_filter( 'jeg_register_lazy_section', [ $this, 'load_customizer' ] );
	}

	/**
	 * Register Lazy Customizer
	 */
	public function register_lazy_section() {

		$customizer = Customizer::get_instance();

		$customizer->add_section(
			[
				'id'       => 'jeg_weather_section',
				'title'    => esc_html__( 'JEG Weather', 'jeg-weather' ),
				'panel'    => '',
				'priority' => 1,
				'type'     => 'jeg-lazy-section',
			]
		);
	}

	/**
	 * Load Customizer
	 *
	 * @param array $result Array list of section.
	 *
	 * @return mixed
	 */
	public function load_customizer( $result ) {
		$result['jeg_weather_section'][] = JEG_WEATHER_CLASSPATH . 'options/jeg-weather-options.php';

		return $result;
	}
}
