<?php
/**
 * Misc Functions
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package JEG_WEATHER
 */

/** Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get option for Font Preview
 *
 * @param string $setting Setting name.
 * @param mixed $default Default option.
 *
 * @return mixed
 */
if ( ! function_exists( 'jeg_weather_option' ) ) {
	/**
	 * @param $setting
	 * @param null $default
	 *
	 * @return |null
	 */
	function jeg_weather_option( $setting, $default = null ) {
		$options = get_option( 'jeg_weather_option', [] );
		$value   = $default;

		if ( isset( $options[ $setting ] ) ) {
			$value = $options[ $setting ];
		}

		return $value;
	}
}
